%global git_date 20140228
%global git_hash 9f2dcd3
%global git_user ffainelli
%global git_project faifa

Name:           faifa
Version:        0.1
Release:        0.2.%{git_date}git%{git_hash}%{?dist}
Summary:        Manages Intellon-based Power Line Communication devices
Group:          Applications/System
License:        GPLv2+ and BSD
URL:            https://github.com/%{git_user}/%{git_project}
# Following URL not working as of 29-NOV-2013:
#URL:            https://dev.open-plc.org/
Source0:        https://github.com/%{git_user}/%{git_project}/tarball/%{git_hash}/%{git_project}-%{git_hash}.tar.gz
Source1:        http://events.ccc.de/congress/2008/Fahrplan/attachments/1212_OpenPattern_FAIFA_Presentation_25c3.pdf
Patch0:         faifa-68cffbb-sha2.patch
BuildRequires:  autoconf libpcap-devel sha2-devel
Requires:       %{name}-libs%{_isa} = %{version}-%{release}

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%description
Faifa can configure Power Line Communication devices (e.g. HomePlug AV)
using Qualcomm (formerly Intellon) chipsets.  It supports all
Intellon-specific management and control frames as well as standard
management frames.

%package        libs
Summary:        Library for Qualcomm/Intellon Power Line Communication devices
Group:          Development/Libraries

%description    libs
This library provides access to Power Line Communication devices
(e.g. HomePlug AV) using Qualcomm (formerly Intellon) chipsets.

%package        devel
Summary:        Development files for faifa library
Group:          Development/Libraries
Requires:       %{name}-libs%{_isa} = %{version}-%{release}

%description    devel
This package includes the development files for the faifa library.

%prep
%setup -q -n %{git_user}-%{git_project}-%{git_hash}

# Fedora-specific patch: use system sha2 lib rather than bundled
%patch0 -p1 -b .sha2
rm sha2.[ch]

# Don't need debian packaging stuff
rm -r debian

%build
autoreconf -i
%configure
make %{?_smp_mflags} CFLAGS="%{optflags} -fPIC"

%install
make install DESTDIR="%{buildroot}"

# upstream not installing library with execute permissions
# reported issue:
#     https://github.com/ffainelli/faifa/issues/4
chmod 755 %{buildroot}%{_libdir}/libfaifa.so.0

install -d -m755 %{buildroot}%{_pkgdocdir}
install -m644 %{SOURCE1} %{buildroot}%{_pkgdocdir}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%{_sbindir}/%{name}
%{_sbindir}/hpav_cfg
%{_mandir}/man8/%{name}.8*
%{_pkgdocdir}/1212_OpenPattern_FAIFA_Presentation_25c3.pdf

%files libs
%doc COPYING copyright
%{_libdir}/libfaifa.so.0

%files devel
%{_includedir}/faifa

%changelog
* Mon Mar 17 2014 Eric Smith <spacewar@gmail.com> - 0.1-0.2.20140228git9f2dcd3
- Updated to latest upstream.
- Spec updated per review comments (#1036230).

* Fri Nov 29 2013 Eric Smith <spacewar@gmail.com> - 0.1-0.1.20131129git68cffbb
- Initial version.
